/*
 * Copyright (c) 1999-2004 eVelopers Corporation. All rights reserved.
 *
 * This is open source software; you can use, redistribute and/or modify 
 * it under the terms of the Open Software Licence v 2.1 as published by the Open 
 * Source Initiative.
 *
 * You should have received a copy of the Open Software Licence along with this
 * application; if not, contact the Open Source Initiative (http://opensource.org).
 */
package com.unimod.fsml.validation.problems; 

import org.eclipse.core.resources.IMarker;
import org.eclipse.ui.IMarkerResolution;

import com.unimod.fsml.validation.ProblemToken;

class WrongTokenTypeProblem extends Problem {
    private static final String DESCRIPTION = "Wrong token type is used.";

    WrongTokenTypeProblem(IMarker marker, ProblemToken p) {
		super(marker, p);
	}
	
	public String getDescription() {
		return DESCRIPTION;
	}
	
	public int getSeverity() {
		return IMarker.SEVERITY_ERROR;
	}

	public boolean hasResolutions() {
		return false;
	}
	
	public IMarkerResolution[] getResolutions() {
		return new IMarkerResolution[0];
	}
}