/*******************************************************************************
 * Copyright (c) 2000, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package com.unimod.fsmleditor;

import org.eclipse.core.filebuffers.IDocumentSetupParticipant;

import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.IDocumentExtension3;
import org.eclipse.jface.text.IDocumentPartitioner;
import org.eclipse.jface.text.rules.FastPartitioner;

import com.unimod.fsmleditor.configuration.scanner.FSMLPartitionScanner;

/**
 * 
 */
public class FSMLDocumentSetupParticipant implements IDocumentSetupParticipant {
	
	/**
	 */
	public FSMLDocumentSetupParticipant() {
	}

	/*
	 * @see org.eclipse.core.filebuffers.IDocumentSetupParticipant#setup(org.eclipse.jface.text.IDocument)
	 */
	public void setup(IDocument document) {
		if (document instanceof IDocumentExtension3) {
			IDocumentExtension3 extension3 = (IDocumentExtension3) document;
			IDocumentPartitioner partitioner = new FastPartitioner(FSMLEditorPlugin.getFSMLPartitionScanner(), FSMLPartitionScanner.FSML_PARTITION_TYPES);
			extension3.setDocumentPartitioner(FSMLEditorPlugin.FSML_PARTITIONING, partitioner);
			partitioner.connect(document);
		}
	}
}
